FEB
3
2004

KDE 3.2 Released

Today the KDE Project released KDE 3.2. It is the result of a combined year-long effort by hundreds of individuals and corporations from around the globe. For packages, please visit the KDE 3.2 info page. At the moment binary packages for Conectiva Linux, Slackware (9.0, 9.1) and SUSE Linux (8.2, 9.0) are listed. Or compile the source either manually or with the help of Konstruct after reading the KDE 3.2 Requirements list. All changes can be found in the detailed KDE 3.2 change log or continue to read about the highlights.

Some of the highlights in KDE 3.2 at a glance:

  • Increased performance and standards compliance
    • Lowered start up times for applications and hundreds of optimizations
      make KDE 3.2 the fastest KDE ever!
    • Working in concert with Apple Computer Inc.'s Safari web browser team,
      KDE's web support has seen huge performance boosts as well as increased
      compliance with widely accepted web standards
    • Increased support for FreeDesktop.org standards in KDE 3.2 strengthens
      interoperability with other Linux and UNIX software.
  • New applications
    • JuK: a jukebox-style music player
    • Kopete: an instant messenger with support for AOL Instant Messenger,
      MSN, Yahoo Messenger, ICQ, Gadu-Gadu, Jabber, IRC, SMS and WinPopup
    • KWallet: providing integrated, secure storage of passwords and web form
      data
    • Kontact: a unified interface that draws KDE's email, calendaring,
      address book, notes and other PIM features together into a familiar
      configuration
    • KGpg: providing an easy-to-use KDE interface to industry-standard
      encryption tools
    • KIG: an interactive geometry program
    • KSVG: a viewer for SVG files
    • KMag, KMouseTool and KMouth: accessibility tools for KDE
    • KGoldRunner: a new riff on a classic game
    • ... and many more!
  • Thousands of incremental improvements and bug fixes
    • During the development of KDE 3.2 nearly 10,000 bug reports were
      processed via the KDE Bug Tracking System
    • Approximately 2,000 feature requests were also processed, with hundreds
      of requested features added to KDE applications and components
    • An improved configuration system that opens the door to new
      installation management possibilities, improved roaming support and
      many improvements to the "KDE Kiosk" environment management system
    • Inline spell checking for web forms and emails
    • Improved email and calendaring support
    • Powerful tabbed interface for the Konqueror file manager and web
      browser
    • Support for Microsoft Windows desktop sharing protocol (RDP)
  • Improved Usability
    • Reduced clutter in many menus and toolbars
    • Many applications, dialogs and control panels reworked for clarity and
      utility
  • Enhanced appearance
    • Plastik, a tastefully understated new look, debuts in KDE 3.2
    • Hundreds of new icons improve the consistency and beauty of KDE
    • Tweaks to the default look including new splash screens, (optionally)
      animated progress bars, styled panels and more!
  • New Tools for Software Developers
    • Comprehensive API documentation extended for 3.2
    • Language bindings for ECMAScript (aka Javascript), Python, Java and
      Ruby
    • New versions of the powerful KDevelop IDE and Quanta web development
      suite
    • Umbrello brings UML modeling for 11 different languages including C++,
      Java, SQL, PHP, Python and Perl to KDE

More information and why you should use KDE 3.2 can be found in the KDE 3.2 announcement.

Comments

Why is it taking so long to be distributed to the mirrors, none of the listed UK mirrors have it yet. I don't remember this sort of problem with any of the other releases.


By Nonamenobody at Wed, 2004/02/04 - 6:00am

Complain to those mirror admins that they don't let them update more often.


By Anonymous at Wed, 2004/02/04 - 6:00am

OK, so I've built CVS HEAD a few dozen times, and I have about every dependency possible satisfied, but I'd rather not have unneeded requirements.

http://www.kde.org/info/requirements/3.2.php shows that X, Qt, Perl, bzip2, zlib, PCRE and libpng are required. I'm not sure about Perl, but I'm confident that at least libpng and PCRE are not required. Useful, but no more required than OpenSSL, libjpeg, and probably less critical than libxml2 and libxslt.

We need a more consistent approach.


By Brad Hards at Wed, 2004/02/04 - 6:00am

well, without libpng you won't see icons. But Qt got a copy of it, so you get it anyway.

And pcre is simply required, period.


By coolo at Wed, 2004/02/04 - 6:00am

./configure --help says it can disable PCRE...


By Brad Hards at Wed, 2004/02/04 - 6:00am

I installed the SuSE packages and now I don't have sound anymore. Whenever an application wants to output sound it freezes, even non KDE apps (I tried a website with Flash under Mozilla).

Stefan


By Stefan Fricke at Wed, 2004/02/04 - 6:00am

I had the same thing w/ RC1.
Yesterday, there was a power failure here, and when my computer came back up, sound was on. Wierd. Reboot, or go through a few RC scripts.


By Rich Jones at Wed, 2004/02/04 - 6:00am

On my Laptop, the SuSE packages came up with no sound. Turned out that the volume levels were off... as in turned off. When I set everything to middle, Coven's One Tin Soldier blasted me. A little tweaking later, and it's good.

I moved my .kde directory; I think the defaults are incorrect.

--
Evan


By Evan "JabberWok... at Wed, 2004/02/04 - 6:00am

I tried this all but nothing did work.

Stefan


By Stefan Fricke at Wed, 2004/02/04 - 6:00am

Make sure you upgraded arts.

You can try a console based app like mpg123 to play an mp3 file and see if you've got sound. If so, it's almost certainly a problem with arts.


By Greg Fortune at Thu, 2004/02/05 - 6:00am

Hmmmmmmmm......... I did as you suggested and tried mpg123 and there was no sound for me still. So this would suggest a problem at a lower level would it not? Possibly an ALSA problem?

Paul.....


By cirehawk at Thu, 2004/02/05 - 6:00am

I can boot into runlevel 3 and then mpg123 works. But after starting KDE it doesn't, even after shutting down KDE.

While KDE is running all apps which are using sound freeze, even non KDE apps. I can restart ALSA while KDE is running then the apps don't freeze anymore but still no sound. I have tries all sound server and volume settings but nothing.

Stefan


By Stefan Fricke at Fri, 2004/02/06 - 6:00am

I can confirm this, SUSE 9.0 and KDE 3.2 binary packages just killed my sound system (VIA onboard sound). I can't play anything. Several users reported this already. Sounds used to be fine under beta2.


By Jasem Mutlaq at Fri, 2004/02/06 - 6:00am

I have reported it to bugs.kde.org. If you want, track bug #74401

Stefan


By Stefan Fricke at Fri, 2004/02/06 - 6:00am

I have a AC'97 sound card, so i install the drivers everything plays except i don't get a sound and everything is perfectly connected!!


By John at Thu, 2005/10/20 - 5:00am

Um, what ever happened to ksim in KDE 3.2? I installed the whole package for Fedora core 1 and it disappeared. Looks like the libraries are still there but the actual binary is nowhere to be found.


By Andy at Wed, 2004/02/04 - 6:00am

You want to ask "what happened to ksim in Fedora rpms"? Installed from source and it's fine.


By Anonymous at Wed, 2004/02/04 - 6:00am

Did you install the specific Fedora rpms here?
ftp://ftp.us.kde.org/pub/kde/stable/3.2/RedHat
I get this:

$ which ksim
/usr/bin/which: no ksim in (/usr/adabas/bin:/usr/adabas/pgm:/usr/adabas/bin:/usr/adabas/pgm:/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/achoi/bin)

The libraries for ksim seem to be in the right spot, but there is no binary.


By Andy at Wed, 2004/02/04 - 6:00am

KSim was turned into a panel extension, Panel Menu/Add/Panel/KSim.


By Anonymous at Sun, 2004/02/08 - 6:00am

Hi. Anonymous. For months I've been trying to get Ksim running on anything later than FC1. I resorted to installing the tar.gz for Ksim on FC2 which worked ok, then when Debian was working I tried the tar.gz on that too. Few problems here caused by qt_dir, but eventually it installed , but with only a desktop icon. Had to click on the icon each time the system was started. Now got Gentoo installed with KDE 3.4, and still no Ksim. Now I'm getting a bit T'd off. Rooting around on the KDE site I find your post. Man, I can't thank you enough. I had Gentoo booted up on the other machine at the time. Right click panel, add, panel, Ksim, and it was there like magic. It messed the icons on the desktop about a bit, but thats no problem. I mean. Why can't KDE notify you when they are changing stuff. Perhaps the first time you run Konqueror, a "please read this" notice for changes, etc. The same problem exists for Kmidi having been dumped from versions later than FC1 with 2.4 kernel. Thanks again for the fix. Nigel.


By Nigel at Sat, 2005/08/27 - 5:00am

I'm eager to get my hands on kde 3.2, however, I've got the problem compiling kdelibs. Here is a what I got at the end of compilation:

/bin/sh ../libtool --silent --mode=link --tag=CXX g++ -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -DNDEBUG -DNO_DEBUG -O2 -O3 -funroll-loops -mcpu=athlon -march=athlon -fomit-frame-pointer -fno-exceptions -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -o dcopserver -R /usr/local/kde/lib -R /usr/local/qt/lib -R /usr/X11R6/lib -no-undefined -L/usr/X11R6/lib -L/usr/local/qt/lib -L/usr/local/kde/lib dcopserver.la.o libkdeinit_dcopserver.la
/opt/sybase/lib/libsybdb.so: undefined reference to `__ctype_b'
/opt/sybase/lib/libsybdb.so: undefined reference to `__ctype_tolower'
collect2: ld returned 1 exit status
make[4]: *** [dcopserver] Error 1
make[4]: Leaving directory `/usr/local/kde-3.2.0/kdelibs-3.2.0/dcop'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/usr/local/kde-3.2.0/kdelibs-3.2.0/dcop'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/local/kde-3.2.0/kdelibs-3.2.0/dcop'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/kde-3.2.0/kdelibs-3.2.0'
make: *** [all] Error 2

It seems it somehow interferes with the sybase open client library (I have version 11.9.2 installed).
I configure kdelibs with options --enable-final --disable-debug --with-alsa --enable-fast-malloc=full
arts configured with --enable-final --disable-debug
Qt 3.2.3 (recommended version) is configured with

-I/opt/sybase/include -I/usr/local/include/mysql -L/usr/local/lib/mysql -L/opt/sybase/lib -qt-gif -system-libpng -system-libmng -system-zlib -system-libjpeg -no-g++-exceptions -thread -qt-sql-tds -qt-sql-mysql -no-xinerama

I didn't have this problem with the RC1, although I also compiled qt with sybase support (but I haven't had mysql support compiled in qt at that time).

Any help would be appritiated. I really would like to have sybase tds support in qt and hope there is a way around this problem.

Sergey


By Sergey at Wed, 2004/02/04 - 6:00am

Your 2.3.x glibc lacks a compatibility patch. Either bug your distro to fix
your glibc to include old-rotten-compat symbols :) or if you just want to build kde build the sybase support in qt as plugin, which will allow you to build&run kde. You won't be able to use the sybase support, because your sybase lib uses a private glibc symbol.


By Anonymous at Wed, 2004/02/04 - 6:00am

I'm suspecting something like that is happening, however, I don't think you're right, because I built kde 3.2 RC1 a few weeks ago using qt 3.2.1, and everything compiled/linked just fine.
I'm using RH 9.0 as a basis, glibc is 2.3.2-11.9 (the latest one available from RH web site). I didn't have problems compiling kde 3.2 beta 1 and 2 as well.
So, changes from the last succesfull compile:
qt went from 3.2.1 to 3.2.3;
qt compiled with mysql support;
kde went from 3.2 RC1 to 3.2.0

Would someone with better knowledge of kde 3.2/qt inners help me to isolate what's happening, and if possible, fix it?

Thanks,

Sergey


By Sergey at Wed, 2004/02/04 - 6:00am

Hello,

When i'm going to upgrade my KDE, i'll build it from source; I would like to know every time which QT to use. This time it seems it's QT 3.2, but in one thread here Waldo Bastian mentions the qt-copy has important fixes.
So, qt-copy? in a branch? i guess qt-copy head is for KDE-head? and how will it be for 3.2.1?
Would konstruct take care of this for me?

please, mention this, it's important.

thanks, emmanuel.


By emmanuel at Wed, 2004/02/04 - 6:00am

sorry, i just saw http://www.kde.org/info/requirements/3.2.php
:O)
but the question still stands: would qt-copy be better than qt 3.2.3?

thanks and sorry for the noise, emmanuel


By emmanuel at Wed, 2004/02/04 - 6:00am

For KDE 3.2 is the recommended Qt version 3.2.3. qt-copy/HEAD contains Qt 3.3 Beta 1 (final later today?). qt-copy/QT_3_2_BRANCH contains basically Qt 3.2.3. The important fixes are in the patches/ directory and should be applied with apply_patches. Konstruct contains these patches and applies them to the Qt 3.2.3 tarball. Any question left? :-)


By Anonymous at Wed, 2004/02/04 - 6:00am

thank you very much.
I will use konstruct then... (but maybe i'll wait for 3.2.1).

I'm happy that konstruct is patching QT by itself. installing KDE from sources is easy otherwise.


By emmanuel at Wed, 2004/02/04 - 6:00am

Is there any way to turn off (or at least tone down) the new menu seperators in the K menu? (i.e. "Most Used Applications", "All Applications", etc).

They look quite nice, but I think they draw the eye away from the actual menu items (Especially under the 'Plastik' theme. It might not sound like much, but it's an added annoyance to have to stop and focus when I'm whipping around the menu.


By Bob at Wed, 2004/02/04 - 6:00am

is there anything I can do to make the spaces between konqi toolbar icons equal, and change text like "Home URL" to "Home"? check the screenshot. I have tried reconfiguring toolbar with no luck. the icons only option is out for me.


By anaconda at Wed, 2004/02/04 - 6:00am

Change the source - or create an "anaconda" language. :-)


By Anonymous at Wed, 2004/02/04 - 6:00am

Nice to see that the order in konqueror drag&drop popup menu
have changed so that "Move" now is the first menu choise instead
of the more seldom used "Copy".

This was one of the problems I found in a recent usability study of
KDE. However according to the study it would be even better to remove the menu alltogheter as it did not work well for unexperienced users. Some of them didn't even notice the menu, as they moved on to the next task in the firm belief that they actually had performed an operation when the file was dropped (This was totally unexpected). The main problem was that they thougth turned up annonyingly often as they had no idea how to use modifier keys to select multiple files.

Experienced users had no problems though. To our surprise experienced usrs liked it, as they thought it would be a good help for those less experienced than themselves.

The study is in Swedish but I will try to get a shareable Enlish version
out as soon as possible.


By Uno Engborg at Wed, 2004/02/04 - 6:00am

I just don't get it..

I added a gesture in KHostKeys for testing but I can't get it working..

Where do I have to klick and move?


By David at Wed, 2004/02/04 - 6:00am

kdesdk-3.2.0 doesn't compile. It ends with the following output:
make[4]: Entering directory `/home/michael/kde-3.2/kdesdk-3.2.0/kbabel/common/libgettext'
/bin/sh ../../../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I../../.. -DQT_THREAD_SUPPORT -D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -DNDEBUG -DNO_DEBUG -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -c -o pofiles.lo `test -f 'pofiles.cc' || echo './'`pofiles.cc
In file included from /usr/include/c++/3.3.2/backward/iostream.h:31,
from /usr/include/FlexLexer.h:47,
from pofiles.cc:241:
/usr/include/c++/3.3.2/backward/backward_warning.h:32:2: warning: #warning This file includes at least one deprecated or antiquated header. Please consider using one of the 32 headers found in section 17.4.1.2 of the C++ standard. Examples include substituting the header for the header for C++ includes, or instead of the deprecated header . To disable this warning use -Wno-deprecated.
In file included from /usr/include/FlexLexer.h:47,
from pofiles.cc:241:
/usr/include/c++/3.3.2/backward/iostream.h:36: error: `istream' is already
declared in this scope
/usr/include/c++/3.3.2/backward/iostream.h:36: error: using declaration `
istream' introduced ambiguous type `istream'
pofiles.cc:401:5: warning: "YY_STACK_USED" is not defined
pofiles.cc: In member function `virtual int GettextBaseFlexLexer::yylex()':
pofiles.cc:683: error: cannot convert `std::istream*' to `istream*' in
assignment
pofiles.cc: In member function `void
GettextBaseFlexLexer::yy_load_buffer_state()':
pofiles.cc:1216: error: cannot convert `istream*' to `std::istream*' in
assignment
pofiles.cc: In member function `void
GettextBaseFlexLexer::yy_init_buffer(yy_buffer_state*, std::istream*)':
pofiles.cc:1267: error: cannot convert `std::istream*' to `istream*' in
assignment
pofiles.cc:1458:5: warning: "YY_MAIN" is not defined
make[4]: *** [pofiles.lo] Fehler 1
make[4]: Leaving directory `/home/michael/kde-3.2/kdesdk-3.2.0/kbabel/common/libgettext'
make[3]: *** [all-recursive] Fehler 1
make[3]: Leaving directory `/home/michael/kde-3.2/kdesdk-3.2.0/kbabel/common'
make[2]: *** [all-recursive] Fehler 1
make[2]: Leaving directory `/home/michael/kde-3.2/kdesdk-3.2.0/kbabel'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/home/michael/kde-3.2/kdesdk-3.2.0'
make: *** [all] Fehler 2
Any idea?

Best regards hotroot


By hotroot at Wed, 2004/02/04 - 6:00am

Oh, sorry. found a solution:
I commented out line 27 and added include

[...]
#ifdef __cplusplus

#include
//class istream;
#include
#include

/* Use prototypes in function declarations. */
[...]

now it works

hotroot


By hotroot at Wed, 2004/02/04 - 6:00am

Thanks for that. I had the same problem and ended up disabling kbabel from being compiled.


By Paul at Wed, 2004/02/04 - 6:00am

You're using an old version of flex that doesn't support the new ANSI C++ header files. Upgrading flex makes the errors involving FlexLexer.h go away.

Still won't compile for me though, I get "`yy_current_buffer' undeclared" now. Time for more detective work.


By ferrante at Wed, 2004/02/11 - 6:00am

No it doesn't. I've tried the newest 2.5.4a and 2.5.31. It don't fix it.


By Glen at Wed, 2004/02/18 - 6:00am

After upgrading to flex-2.5.31 one must forcibly remove:

% /src/kdesdk-3.2.0> rm kbabel/common/libgettext/pofiles.cc

to have it re-generated from 'pofiles.ll' on the next make
(which completes happily :)

BTW: I'm using gcc-3.3.3


By Mauro DePalma at Mon, 2004/02/23 - 6:00am

Ahhh....

That does it. I wish I'da known that before. This should be in the FAQ. I've been seeing the question around a little bit. All of the answers on the net say 'upgrade flex', but NONE say 'get rid of pofiles.cc' !

Glen


By Glen at Tue, 2004/02/24 - 6:00am

According to gentoo ebuild the bug is relativ to gcc version.
gcc3 need the gentoo patch attached


By Vincent LE LIGEOUR at Fri, 2005/11/11 - 6:00am

hi,
i downloaded the suse 9 packages by de.kde.org - i installed them with kpackage and didn't check dependics. Now kde 3.2 is running but

1. the sound doesnt't work

2. i cant find the german language file

can anybody help me? The sound is very important for me :-(

bye


By mj at Wed, 2004/02/04 - 6:00am

> 2. i cant find the german language file

http://download.kde.org/stable/3.2/SuSE/noarch/


By Anonymous at Wed, 2004/02/04 - 6:00am

it runs, thx


By mj at Wed, 2004/02/04 - 6:00am

I can confirm that sound stopped working after upgrading to 3.2 using SUSE 9.0 packages. Adrian...are you listening? Also, whats the deal with this conflict between kdebase packages?


By Nadeem Hasan at Wed, 2004/02/04 - 6:00am

Perhaps it isn't the best place to ask this but, here I go...

On a SuSE 9.0 with defalt KDE 3.1.4, when upgrading to kde 3.2, how can I resolve the conflict with kdebase3-SuSE? Just a rpm -i --nodeps?

Other : Alsa seems to not work properly. It get really noisy and unusable. I goggled the web but nothing found. Anyone knows the trouble?

Last (sorry). Perhaps it is not a KDE problem. I installed SuSE 9.0 and it works really fine but, after some days of work, it really slows down. KDE startup takes up to 5 minuts to finnish and apps startup time gets horrible too. I removed the user and created a new one and I resolved the problem for a few days, but it slowed down again. I reinstalled everything (clean install, reformatted partitions) and resolved the problem for a few days only again. Can it be a problem of reiserfs? I havent' tried with ext2 file system.

KDE 3.2 is, on the other hand, clean and intuitive. Shadow Desktop text, tranparent kicker, Plastik style, it makes a actually good quality desktop.

Thanks.


By Sendo at Wed, 2004/02/04 - 6:00am

>On a SuSE 9.0 with defalt KDE 3.1.4, when upgrading to kde 3.2, how can I resolve the conflict with kdebase3-SuSE? Just a rpm -i --nodeps?

easy uninstall kdebase3-SuSE :-)

>Other : Alsa seems to not work properly. It get really noisy and unusable. I goggled the web but nothing found. Anyone knows the trouble?

I've got this problem, too :-(


By mj at Wed, 2004/02/04 - 6:00am

You may want to run kmix and turn off things like "Analog audio in" and other cryptic things which you hardly use. This worked for me -- at least, I got rid of all scratches and awful sound quality on my SuSE 9.0 box at home.

The problem still remains. StepMania, VBA, xmms+arts output plugin -- they don't work with the new aRts at all, even after they've been recompiled. mplayer works just fine, btw. I've noticed a number of other bugs, at least ten of them, but since now I've had read the disclaimer, it sounds better to wait for the official builds.

I'm thinking to roll back to kde-3.1.5 that was working great at home for the time being, and I didn't even bother to upgrade to 3.2 at work.


By oujirou at Mon, 2004/02/09 - 6:00am

Sadly, I think I'll back to KDE 3.1.4, because another grave bug had appeared. When I close my session, even logout, even tunoff or restart KDE hangs my computer so when I turn on my linux again I always have to go to mantenince mode to run fsck manually. I don't know why, but does my box unsusefull :(.

Althoug, I'll try to fix it for some days.

Sendo ;)


By Rossend Bruch at Mon, 2004/02/09 - 6:00am

(This was sent to Rossend by email, I'm posting it here so the response can be googled later >8) )

It is possible that kdm is asking your X server to reset instead of completely restarting it. That would create the issue you're mentioning. My system is running XF86 4.3.0 with the radeon driver, and it can't reset properly. Assuming your kde is in the usual place, edit this file:
/opt/kde/share/config/kdm/Xservers

There should be a line like this:
:0 local@tty1 /usr/X11R6/bin/X vt7

Add the -terminate option like so:
:0 local@tty1 /usr/X11R6/bin/X -terminate vt7

You may also be interested in the -br option; it tells X to start up with a black background instead of the ancient crosshatch pattern. :)

Anyway, after you make the change, see if it helps with the lockup issue.

--
Matt Howard


By Matt Howard at Mon, 2004/02/09 - 6:00am

Pages